org.restlet.ext.netty

## Class HttpsServerHelper

- java.lang.Object
- - org.restlet.engine.Helper
  - - org.restlet.engine.RestletHelper<T>
    - - org.restlet.engine.ConnectorHelper<Server>
      - - org.restlet.engine.ServerHelper
        - - org.restlet.engine.http.HttpServerHelper
          - - org.restlet.ext.netty.NettyServerHelper
            - - org.restlet.ext.netty.HttpsServerHelper

    public class HttpsServerHelper
    extends NettyServerHelper

Netty HTTPS server connector. Here is the list of additional parameters that are supported. They should be set in the Server's context before it is started:

Parameter name | Value type | Default value | Description
--- | --- | --- | ---
certAlgorithm | String | SunX509 | SSL certificate algorithm
keyPassword | String |  | SSL key password
keystorePassword | String |  | SSL keystore password
keystorePath | String | ${user.home}/.keystore | SSL keystore path
keystoreType | String | JKS | SSL keystore type
sslProtocol | String | TLS | SSL protocol
needClientAuthentication | boolean | false | Indicates if we require client certificate authentication
wantClientAuthentication | boolean | false | Indicates if we would like client certificate authentication

Author:
  Gabriel Ciuloaica (gciuloaica@gmail.com)
See Also:
  Netty home page

### Constructor Summary

Constructors
Constructor and Description
`HttpsServerHelper(Server server)` Constructor.

### Method Summary

Methods
`java.lang.String` `getCertAlgorithm()` Deprecated.
`java.lang.String` `getKeyPassword()` Deprecated.
`java.lang.String` `getKeystorePassword()` Deprecated.
`java.lang.String` `getKeystorePath()` Deprecated.
`java.lang.String` `getKeystoreType()` Deprecated.
`org.jboss.netty.channel.ChannelPipelineFactory` `getPipelineFatory()` Returns the Netty pipeline factory.
`javax.net.ssl.SSLContext` `getSslContext()` Gets the SSL context used by this server.
`java.lang.String` `getSslProtocol()` Deprecated.
`boolean` `isNeedClientAuthentication()` Indicates if we require client certificate authentication.
`boolean` `isWantClientAuthentication()` Indicates if we would like client certificate authentication.
`void` `setSslContext(javax.net.ssl.SSLContext sslContext)` Sets the SSL context for the server.
`void` `start()` Start callback.

### Methods inherited from class org.restlet.ext.netty.NettyServerHelper

`stop`

### Methods inherited from class org.restlet.engine.http.HttpServerHelper

`getAdapter, handle, setAdapter`

### Methods inherited from class org.restlet.engine.ServerHelper

`handle, setEphemeralPort, setEphemeralPort`

### Methods inherited from class org.restlet.engine.ConnectorHelper

`getConnectorService, getContext, getProtocols, update`

### Methods inherited from class org.restlet.engine.RestletHelper

`getAttributes, getHelped, getHelpedParameters, getLogger, getMetadataService, setHelped`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpsServerHelper

    public HttpsServerHelper(Server server)

Constructor.

Parameters:
  `server` - The helped server.

### Method Detail

#### getCertAlgorithm

    @Deprecated
    public java.lang.String getCertAlgorithm()

Deprecated.
Returns the SSL certificate algorithm.

Returns:
  The SSL certificate algorithm.

#### getKeyPassword

    @Deprecated
    public java.lang.String getKeyPassword()

Deprecated.
Returns the SSL key password.

Returns:
  The SSL key password.

#### getKeystorePassword

    @Deprecated
    public java.lang.String getKeystorePassword()

Deprecated.
Returns the SSL keystore password.

Returns:
  The SSL keystore password.

#### getKeystorePath

    @Deprecated
    public java.lang.String getKeystorePath()

Deprecated.
Returns the SSL keystore path.

Returns:
  The SSL keystore path.

#### getKeystoreType

    @Deprecated
    public java.lang.String getKeystoreType()

Deprecated.
Returns the SSL keystore type.

Returns:
  The SSL keystore type.

#### getPipelineFatory

    public org.jboss.netty.channel.ChannelPipelineFactory getPipelineFatory()

Description copied from class: `NettyServerHelper`
Returns the Netty pipeline factory.

Specified by:
  `getPipelineFatory` in class `NettyServerHelper`
Returns:
  The Netty pipeline factory.

#### getSslContext

    public javax.net.ssl.SSLContext getSslContext()

Gets the SSL context used by this server.

Returns:
  this returns the SSL context.

#### getSslProtocol

    @Deprecated
    public java.lang.String getSslProtocol()

Deprecated.
Returns the SSL keystore type.

Returns:
  The SSL keystore type.

#### isNeedClientAuthentication

    public boolean isNeedClientAuthentication()

Indicates if we require client certificate authentication.

Returns:
  True if we require client certificate authentication.

#### isWantClientAuthentication

    public boolean isWantClientAuthentication()

Indicates if we would like client certificate authentication.

Returns:
  True if we would like client certificate authentication.

#### setSslContext

    public void setSslContext(javax.net.ssl.SSLContext sslContext)

Sets the SSL context for the server.

Parameters:
  `sslContext` - the SSL context

#### start

    public void start()
               throws java.lang.Exception

Description copied from class: `RestletHelper`
Start callback.

Overrides:
  `start` in class `NettyServerHelper`
Throws:
  `java.lang.Exception`